package com.common.bean;

import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.os.Build;

import java.util.List;

/**
 * Created by SiKang on 2019-11-15.
 */
public class AppInfoBean {
    private String versionName;// "1.0.1",
    private int versionCode;// 10100
    private long firstInstallTime;// 1571976273972,
    private boolean isGameApp = false;// false,
    private boolean isSystemApp;// false,
    private String appName;// "Million Dong",
    private long lastUpdateTime;// 1571976273972,
    private String packageName;// "com.mdg.vvn",
    private String[] requestedPermissions;

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public int getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(int versionCode) {
        this.versionCode = versionCode;
    }

    public long getFirstInstallTime() {
        return firstInstallTime;
    }

    public void setFirstInstallTime(long firstInstallTime) {
        this.firstInstallTime = firstInstallTime;
    }

    public boolean isGameApp() {
        return isGameApp;
    }

    public void setGameApp(boolean gameApp) {
        isGameApp = gameApp;
    }

    public boolean isSystemApp() {
        return isSystemApp;
    }

    public void setSystemApp(boolean systemApp) {
        isSystemApp = systemApp;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public long getLastUpdateTime() {
        return lastUpdateTime;
    }

    public void setLastUpdateTime(long lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String[] getRequestedPermissions() {
        return requestedPermissions;
    }

    public void setRequestedPermissions(String[] requestedPermissions) {
        this.requestedPermissions = requestedPermissions;
    }
}
